=== debian/changelog ===
metalang99 (1.13.5-1) unstable; urgency=medium

  * Import upstream version 1.13.5.
  * Bug fix: "FTBFS with CMake 4", thanks to roehling@debian.org</a>;
    (Closes: #1113281).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Oct 2025 21:19:13 +0200
