=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: metalang99
+Standards-Version: 4.7.2
+Maintainer: Roland Mas <lolando@debian.org>
 Section: devel
-Priority: optional
-Maintainer: Roland Mas <lolando@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
- cmake,
  doxygen,
-Standards-Version: 4.6.2
-Homepage: https://github.com/Hirrolot/metalang99
 Vcs-Browser: https://salsa.debian.org/science-team/metalang99
 Vcs-Git: https://salsa.debian.org/science-team/metalang99.git
+Homepage: https://github.com/Hirrolot/metalang99
 
 Package: libmetalang99-dev
 Architecture: any
 Depends:
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
  libjs-mathjax,
 Description: Full-blown preprocessor metaprogramming
  Metalang99 is a firm foundation for writing reliable and maintainable
