=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	doxygen

override_dh_installdocs:
	dh_installdocs -X.gitignore

execute_after_dh_auto_test:
	cmake -S tests -B testsbuild && make -C testsbuild
